## org.apache.ivy.osgi.obr.xml
Class CapabilityAdapter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.CapabilityAdapter

    public class CapabilityAdapter

extends java.lang.Object

Constructor Summary
`CapabilityAdapter()`

Method Summary
`static void` `adapt(BundleInfo bundleInfo, Capability capability)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapabilityAdapter

    public CapabilityAdapter()

Method Detail

### adapt

    public static void adapt(BundleInfo bundleInfo,
                             Capability capability)
                      throws java.text.ParseException

  Throws:
    `java.text.ParseException`